function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Lava_loc_0",
		requires =
		function ()
			if location == "Lava_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1730, -1300, "LavaTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Lava_loc_1",
		requires =
		function ()
			if location == "Lava_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1880, -1300, "LavaTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Lava_loc_2",
		requires =
		function ()
			if location == "Lava_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2160, -1300, "LavaTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Lava_loc_3",
		requires =
		function ()
			if location == "Lava_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2460, -1500, "LavaTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
